<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Attendance Reports</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Attendance Reports
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Attendance</li>
        <li class="active"> Attendance Reports</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-12">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <!-- Custom Tabs -->
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#detail" data-toggle="tab">Reports</a></li>
                    <!--                    <li><a href="#keluarga" data-toggle="tab">Keluarga</a></li>-->
                    <!--                    <li><a href="#pendidikan" data-toggle="tab">Pendidikan</a></li>-->
                </ul>
                <!--                <form class="form-horizontal" th:action="@{/setting/payroll/periode/save}" th:object="${payrollPeriode}" method="post" enctype="multipart/form-data">-->
                <div class="tab-content">
                    <div class="tab-pane active" id="detail">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="box box-info">

                                    <div class="box-header with-border">

                                    </div>
                                    <form method="get">

                                        <div class="box-header with-border">
                                            <div class="row">
                                                <div class="col-md-6">

                                                    <div class="form-group">
                                                        <label for="companies" class="col-sm-2 control-label">Month</label>

                                                        <div class="col-sm-10">
                                                            <select class="form-control select2" name="companies" id="companies" style="width: 100%;">
                                                                <option th:each="datass : ${listCompanies}"
                                                                        th:selected="(${datass} == *{companiesSelected})"
                                                                        th:text="${datass.companyName}"
                                                                        th:value="${datass.id}">sdasd</option>
<!--                                                                <option th:text="All">All</option>-->
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="bulan" class="col-sm-2 control-label">Month</label>

                                                        <div class="col-sm-10">
                                                            <select class="form-control select2" name="bulan" id="bulan" style="width: 100%;">
                                                                <option th:each="datas : ${listBulan}"
                                                                        th:selected="(${datas} == *{bulanSelected})"
                                                                        th:text="${datas.nama}"
                                                                        th:value="${datas.nomor}">sdasd</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">

                                                    <div class="form-group">
                                                        <label for="tahun" class="col-sm-2 control-label">Year</label>

                                                        <div class="col-sm-10">
                                                            <select class="form-control select2" name="tahun" id="tahun" style="width: 100%;">
                                                                <option th:each="datass : ${listTahun}"
                                                                        th:selected="(${datass} == *{tahunSelected})"
                                                                        th:text="${datass.tahun}"
                                                                        th:value="${datass.tahun}">sdasd</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-12">
                                                        <button type="submit" class="btn btn-info pull-right" id="simpan">Proces</button>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                    <div class="box-header with-border">

                                    </div>
                                    <div class="box-body table-responsive no-padding">
                                        <table class="table table-bordered">
                                            <tr>
                                                <th style="width: 10px">#</th>
                                                <th>ID</th>
                                                <th>Employe</th>
                                                <th>Branch</th>
                                                <th>Work Day</th>
                                                <th>Attendance</th>
                                                <th>Time Off</th>
                                                <th>Absatain</th>
                                                <th>Late</th>
                                                <th>OT WD(hour)</th>
                                                <th>OT HD(hour)</th>
                                                <th>Edit</th>
                                                <th>Detail</th>
                                            </tr>
                                            <tr th:each="dataAttendanceRun,row : ${listAttendanceRun}" >
                                                <td th:text="${row.index + 1}">1.</td>
                                                <td th:text="${dataAttendanceRun[0]}">BEASISWA</td>
                                                <td th:text="${dataAttendanceRun[1]}">BEASISWA</td>
                                                <td th:text="${dataAttendanceRun[2]}">BEASISWA</td>
                                                <td th:text="${dataAttendanceRun[3]}">BEASISWA</td>
                                                <td th:text="${dataAttendanceRun[4]}">BEASISWA</td>
                                                <td th:text="${dataAttendanceRun[5]}">BEASISWA</td>
                                                <td th:text="${dataAttendanceRun[6]}">BEASISWA</td>
                                                <td th:text="${dataAttendanceRun[7]}">BEASISWA</td>
                                                <td th:text="${dataAttendanceRun[9]}">BEASISWA</td>
                                                <td th:text="${dataAttendanceRun[10]}">BEASISWA</td>
                                                <td>
<!--                                                    <a th:href="@{/attendance/report/edit(companies = ${companiesSelected.getId()}, tahun = ${tahunSelected.getTahun()}, bulan = ${bulanSelected.getNomor()}, employes = ${dataAttendanceRun[8]},attendanceRun= ${dataAttendanceRun[11]})}" class="btn btn-success btn-xs">Edit</a>-->

                                                    <button type="button" class="btn btn-success btn-xs" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-default'+${dataAttendanceRun[11]}">
                                                        Edit
                                                    </button>

                                                    <div class="modal fade" th:id="modal-default+${dataAttendanceRun[11]}">
                                                        <div class="modal-dialog">
                                                            <div class="modal-content">
                                                                <form method="post" th:action="@{/attendance/report/update(companies = ${companiesSelected.getId()}, tahun = ${tahunSelected.getTahun()}, bulan = ${bulanSelected.getNomor()}, attendanceRun=${dataAttendanceRun[11]})}">

                                                                <div class="modal-header">
                                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                        <span aria-hidden="true">&times;</span></button>
                                                                    <h4 class="modal-title">Edit Attendance</h4>
                                                                    <span th:text="${dataAttendanceRun[1]+'-('+dataAttendanceRun[0]+')'}"></span>
                                                                </div>
                                                                <div class="modal-body">
                                                                    <div class="form-group">
                                                                        <label for="totalAttendance" class="col-sm-2 control-label">Attendance</label>

                                                                        <div class="col-sm-10">
                                                                            <input type="text" class="form-control" th:value="${dataAttendanceRun[4]}" name="totalAttendance" id="totalAttendance" placeholder="0">
                                                                        </div>
                                                                    </div>
                                                                    <br>
                                                                    <br>
                                                                    <div class="form-group">
                                                                        <label for="totalAbsen" class="col-sm-2 control-label">Abstain</label>

                                                                        <div class="col-sm-10">
                                                                            <input type="text" class="form-control" th:value="${dataAttendanceRun[6]}" name="totalAbsen" id="totalAbsen" placeholder="0">
                                                                        </div>
                                                                    </div>
                                                                    <br>
                                                                    <br>
                                                                    <div class="form-group">
                                                                        <label for="totalLate" class="col-sm-2 control-label">Late</label>

                                                                        <div class="col-sm-10">
                                                                            <input type="text" class="form-control" th:value="${dataAttendanceRun[7]}" name="totalLate" id="totalLate" placeholder="0">
                                                                        </div>
                                                                    </div>
                                                                    <input type="hidden" id="id" name="id" th:value="${dataAttendanceRun[11]}">
                                                                    <br>
                                                                    <br>

                                                                </div>
                                                                <div class="modal-footer">
                                                                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                                                    <button type="submit" class="btn btn-primary pull-left pull-right">Save</button>

                                                                </div>
                                                                </form>
                                                            </div>
                                                            <!-- /.modal-content -->
                                                        </div>
                                                        <!-- /.modal-dialog -->
                                                    </div>
                                                </td>
                                                <td>
                                                    <a th:href="@{/attendance/detail(companies = ${companiesSelected.getId()}, tahun = ${tahunSelected.getTahun()}, bulan = ${bulanSelected.getNomor()}, employes = ${dataAttendanceRun[8]})}" class="btn btn-primary btn-xs">Detail</a>
                                                </td>
                                            </tr>

                                        </table>
                                    </div>
                                    <div class="box-footer clearfix">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!--                </form>-->
                <!-- /.tab-content -->
            </div>
            <!-- nav-tabs-custom -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>